@docs: documentation;
@category: documentation-category;

.@{docs} {
  ul {
    padding: 0;
  }

  li {
    list-style: none;
  }

  &-categories--level-1 {
    font-size: @font-size-category-l1;
    margin-bottom: @gap-category-l1;

    .@{category}:not(:first-child) {
      margin-top: @gap-category-l1;
    }
  }

  &-categories--level-2 {
    font-size: @font-size-category-l2;

    .@{category} {
      margin-top: @gap-category-l2;
    }
  }

  // Styling for levels from 3 and further
  &-categories--level-3 {
    font-size: @font-size-category-l3;
    .@{category} {
      margin-top: @gap-category-l3;
    }
  }

  &-category__title {
    a {
      color: @color-heading-link-hover;

      &:hover,
      &:active,
      &:focus {
        color: @color-heading-link-hover;
      }
    }
  }

  &-guides {
    margin-top: @gap-listing-category;

    .node {
      @entity-listing();

      &:not(:first-child) {
        margin-top: @gap-listing-category;
      }

      &__title {
        font-size: @font-size-primary;
      }
    }
  }

  &-proposal__title {
    margin-top: @gap-listing-category;
    font-size: @font-size-primary;
    color: @color-meta;
  }

  // @todo Refactor all action links to use unified structure and css classes
  .action-add {
    color: @color-action-icon;
    font-size: @font-size-aux;
    margin-left: @grid;
    vertical-align: middle;

    &:hover {
      color: @color-action-icon-hover;
    }

    &::before {
      @icon();
      content: @fa-var-plus-circle;
      padding: 0 @gap-icon;
      background-color: @color-bg;
    }

    &::after {
      white-space: nowrap;

      // Hide action link 'tips' on touch devices
      @media (hover: none), (pointer: coarse) {
        display: none;
      }
    }
  }

  // Hide action link by default and show on hover on devices with an accurate pointing device
  // Action link on touch devices will be always visible
  @media (pointer: fine) {
    &-category__title,
    &-proposal__title {
      .action-add {
        opacity: 0;
      }

      &:hover,
      &:active,
      &:focus {
        .action-add {
          opacity: 1;
        }
      }
    }
  }
}

.guide {
  &__attribution,
  &__authors {
    margin-top: @gap-entity;

    h3 {
      font-size: @font-size-primary;
      font-weight: 500;
    }
  }

  &__authors {
    .user__promo {
      font-size: @font-size-aux;
      color: @color-meta;

      &::before {
        content: "\2014";
        margin-right: @gap-icon;
      }
    }
  }
}
